from django.db import models


class Token(models.Model):
    key = models.CharField("Key", max_length=50, unique=True)
    active = models.BooleanField("Active", default=True)
    web_get_permission = models.BooleanField("Web API GET", default=False)
    web_post_permission = models.BooleanField("Web API POST", default=False)
    plugin_get_permission = models.BooleanField("Plugin API GET", default=False)
    plugin_post_permission = models.BooleanField("Plugin API POST", default=False)
    form_get_permission = models.BooleanField("Form API GET", default=False)
    form_post_permission = models.BooleanField("Form API POST", default=False)
    model_get_permission = models.BooleanField("Model API GET", default=False)
    model_post_permission = models.BooleanField("Model API POST", default=False)
    stats_get_permission = models.BooleanField("Stats API GET", default=False)
    stats_post_permission = models.BooleanField("Stats API POST", default=False)
